// const PseudoLangMap = require('./PhoneticConstants').PseudoLangMap;

module.exports = function convertToPhonetics(orgStr, configurableLength){
    if(!configurableLength){
        configurableLength = 0.8;
    }
    if (typeof orgStr !== 'string') {
        return orgStr;
    }
    if (!orgStr) {
        return '';
    }
    const PseudoLangMap = {
        a: 'â̬',

        b: 'b̬̈',

        c: 'ĉ̬',

        d: 'd̬̈',

        e: 'ê̬',

        f: 'f̬̈',

        g: 'ĝ̤',

        h: 'ḧ̬',

        i: 'î̬',

        j: 'ĵ̤',

        k: 'k̬̈',

        l: 'l̬̈',

        m: 'm̬̂',

        n: 'n̬̂',

        o: 'ô̬',

        p: 'p̤̂',

        q: 'q̤̂',

        r: 'r̬̂',

        s: 'ŝ̬',

        t: 'ẗ̬',

        u: 'û̬',

        v: 'v̬̂',

        w: 'ŵ̬',

        x: 'x̬̂',

        y: 'ŷ̤',

        z: 'ẑ̬',

        A: 'Ä̬',

        B: 'B̬̈',

        C: 'C̬̈',

        D: 'D̬̈',

        E: 'Ë̬',

        F: 'F̬̈',

        G: 'G̬̈',

        H: 'Ḧ̬',

        I: 'Ï̬',

        J: 'J̬̈',

        K: 'K̬̈',

        L: 'L̬̈',

        M: 'M̬̈',

        N: 'N̬̈',

        O: 'Ö̬',

        P: 'P̬̈',

        Q: 'Q̬̈',

        R: 'R̬̈',

        S: 'S̬̈',

        T: 'T̬̈',

        U: 'Ü̬',

        V: 'V̬̈',

        X: 'Ẍ̬',

        Y: 'Ÿ̬',

        Z: 'Z̬̈'
    };
    function configureLength(str, configurableLength){
        if(!configurableLength){
            configurableLength = 0.8;
        }
        let strLen = Math.floor(configurableLength * str.length);
        let appendToStr = '';
        while (strLen > 0) {
            appendToStr = appendToStr + '!';
            strLen--;
        }
        return appendToStr;
    }
    const origStrArr = orgStr.split('');
    const phoneticArr = [];
    origStrArr.forEach((char) => {
        if (char in PseudoLangMap) {
            const phoneticChar = PseudoLangMap[char];
            phoneticArr.push(phoneticChar);
        } else {
            phoneticArr.push(char);
        }
    });
    return phoneticArr.join('') + configureLength(orgStr, configurableLength);
}

